PETSc version 3.15.5
Fix/Edit manual page

# DMRemoveLabel

Remove the label given by name from this mesh

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMRemoveLabel(DM dm, const char name[], DMLabel *label)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name

### Output Parameter

| label | - The DMLabel, or NULL if the label is absent

### Notes

DMRemoveLabel(dm,name,NULL) removes the label from dm and calls DMLabelDestroy() on the label.

DMRemoveLabel(dm,name,&label) removes the label from dm, but it DOES NOT call DMLabelDestroy(). Instead, the label is returned and the user is responsible of calling DMLabelDestroy() at some point.

### See Also

DMCreateLabel(), DMHasLabel(), DMGetLabel(), DMGetLabelValue(), DMSetLabelValue(), DMLabelDestroy(), DMRemoveLabelBySelf()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/dm/label/tutorials/ex1.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages